# Speech Collect

![build-status](https://drone.runcible.io/api/badges/androiddrew/speech-collect/status.svg)


A speech collection tool for machine learning datasets

## First time setup

Create a virtual environment and activate it. Now from the root project directory run `./scripts/bootstrap`. This will install `pip-tools` and sync any dependencies for the first time.

## Dependency management

Dependencies are managed via [pip-tools].

### Adding a dependency

To add a dependency, edit `requirements.in` (or `dev-requirements.in`
for dev dependencies) and add your dependency then run `pip-compile
requirements.in`.

### Syncing dependencies

Run `pip-sync requirements.txt dev_requirements.txt`.

## Testing

Run the tests by invoking `py.test` in the project root.  Make sure you
run any pending migrations beforehand.


## Local Development Environment

This project makes use of [kind](https://kind.sigs.k8s.io/) and [Tilt](https://tilt.dev/) as a local development environment. To ensure you have the system dependencies installed run:

```shell
check-system-deps
```

Missing dependencies can be installed from their official sources (alternatively you can use [homebrew](https://brew.sh) for most):
- [kubctl](https://kubernetes.io/docs/tasks/tools/#kubectl) | `brew install kubectl`
- [helm docs](https://helm.sh/docs/intro/install/) | `brew install helm`
- Docker running as non-root
    - [Docker Install](https://docs.docker.com/engine/install/ubuntu/)
    - [Docker Post Install Steps](https://docs.docker.com/engine/install/linux-postinstall/)
- [kind installation](https://kind.sigs.k8s.io)  | `brew install kind`
- [ctlptl](https://github.com/tilt-dev/ctlptl) | `brew install tilt-dev/tap/ctlptl`
- [python3.11 deadsnakes](https://launchpad.net/~deadsnakes/+archive/ubuntu/ppa) | `brew install python3.11`
- [tilt bash download ](https://docs.tilt.dev/) | `brew install tilt`


To start the local development environment and navigate to the :

```shell
make start-local
```
